``` ini

BenchmarkDotNet=v0.13.2, OS=Windows 10 (10.0.19045.2130)
Intel Core i7-8550U CPU 1.80GHz (Kaby Lake R), 1 CPU, 8 logical and 4 physical cores
.NET SDK=6.0.402
  [Host]     : .NET 6.0.10 (6.0.1022.47605), X64 RyuJIT AVX2
  DefaultJob : .NET 6.0.10 (6.0.1022.47605), X64 RyuJIT AVX2


```
|                     Method | Param |        Mean |      Error |     StdDev |      Median |
|--------------------------- |------ |------------:|-----------:|-----------:|------------:|
|           A_Just1FieldRead |    42 |   0.0488 ns |  0.0273 ns |  0.0256 ns |   0.0422 ns |
|                A_Just1GetX |    42 |   0.0266 ns |  0.0271 ns |  0.0227 ns |   0.0224 ns |
|                A_Just1SetX |    42 |   0.2362 ns |  0.0376 ns |  0.0333 ns |   0.2426 ns |
|     A_Just1SetNonNegativeX |    42 |   1.1342 ns |  0.0529 ns |  0.0544 ns |   1.1453 ns |
|              A_Multi_Field |    42 | 157.8818 ns |  2.9520 ns |  2.7613 ns | 158.6140 ns |
|            A_Multi_GetSetX |    42 | 155.0987 ns |  2.8253 ns |  2.5045 ns | 153.8249 ns |
| A_Multi_GetSetNonNegativeX |    42 | 474.7634 ns |  9.2192 ns | 10.2472 ns | 471.1794 ns |
|                B_Just1GetX |    42 |   0.0488 ns |  0.0283 ns |  0.0251 ns |   0.0397 ns |
|                B_Just1SetX |    42 |   0.8722 ns |  0.2892 ns |  0.8480 ns |   0.3288 ns |
|     B_Just1SetNonNegativeX |    42 |   1.4250 ns |  0.2025 ns |  0.5970 ns |   1.2705 ns |
|              B_Multi_Field |    42 | 170.4436 ns |  7.6016 ns | 21.4405 ns | 159.5564 ns |
|            B_Multi_GetSetX |    42 | 159.0260 ns |  2.7282 ns |  2.8016 ns | 158.0340 ns |
| B_Multi_GetSetNonNegativeX |    42 | 262.0673 ns |  5.0727 ns |  5.8418 ns | 261.7702 ns |
|                C_Just1GetX |    42 |   0.5433 ns |  0.0320 ns |  0.0283 ns |   0.5536 ns |
|                C_Just1SetX |    42 |   0.7822 ns |  0.0396 ns |  0.0472 ns |   0.7940 ns |
|     C_Just1SetNonNegativeX |    42 |   1.1842 ns |  0.0533 ns |  0.0499 ns |   1.2029 ns |
|              C_Multi_Field |    42 | 155.7442 ns |  3.0448 ns |  2.8481 ns | 156.5889 ns |
|            C_Multi_GetSetX |    42 | 685.9666 ns | 12.5562 ns | 11.1308 ns | 689.7051 ns |
| C_Multi_GetSetNonNegativeX |    42 | 726.1703 ns | 13.4394 ns | 12.5712 ns | 729.8856 ns |
